/* This file contains the redefines of the global function names which should
 * not been exported in their regular names. Since we don't want to write
 * "__regina_" in front of each function we use the hiding technique of
 * redefining the pure name.
 * Be sure to include this file before other Regina header files or source
 * lines are processed.
 */
#ifndef REGINA_WRAPPERS_H_INCLUDED
#define REGINA_WRAPPERS_H_INCLUDED

#define CloseOpenFiles               __regina_CloseOpenFiles
#define ConfigStreamQualified        __regina_ConfigStreamQualified
#define DestroyInternalParsingTree   __regina_DestroyInternalParsingTree
#define EndProg                      __regina_EndProg
#define ExpandTinnedTree             __regina_ExpandTinnedTree
#define FreshNode                    __regina_FreshNode
#define IfcAllocateMemory            __regina_IfcAllocateMemory
#define IfcDelFunc                   __regina_IfcDelFunc
#define IfcDoExit                    __regina_IfcDoExit
#define IfcExecFunc                  __regina_IfcExecFunc
#define IfcExecScript                __regina_IfcExecScript
#define IfcFreeMemory                __regina_IfcFreeMemory
#define IfcHaveFunctionExit          __regina_IfcHaveFunctionExit
#define IfcQueryFunc                 __regina_IfcQueryFunc
#define IfcRegDllFunc                __regina_IfcRegDllFunc
#define IfcRegFunc                   __regina_IfcRegFunc
#define IfcStartUp                   __regina_IfcStartUp
#define IfcSubCmd                    __regina_IfcSubCmd
#define IfcVarPool                   __regina_IfcVarPool
#define IsValidTin                   __regina_IsValidTin
#define NewProg                      __regina_NewProg
#define RC_name                      __regina_RC_name
#define RESULT_name                  __regina_RESULT_name
#define ReginaInitializeProcess      __regina_ReginaInitializeProcess
#define ReginaInitializeThread       __regina_ReginaInitializeThread
#define ReginaSetMutex               __regina_ReginaSetMutex
#define ReginaUnsetMutex             __regina_ReginaUnsetMutex
#define RejectNode                   __regina_RejectNode
#define RestoreInterpreterStatus     __regina_RestoreInterpreterStatus
#define SIGL_name                    __regina_SIGL_name
#define SaveInterpreterStatus        __regina_SaveInterpreterStatus
#define Str_cat                      __regina_Str_cat
#define Str_cat_TSD                  __regina_Str_cat_TSD
#define Str_catstr                   __regina_Str_catstr
#define Str_catstr_TSD               __regina_Str_catstr_TSD
#define Str_ccmp                     __regina_Str_ccmp
#define Str_cmp                      __regina_Str_cmp
#define Str_cncmp                    __regina_Str_cncmp
#define Str_cnocmp                   __regina_Str_cnocmp
#define Str_cre                      __regina_Str_cre
#define Str_cre_TSD                  __regina_Str_cre_TSD
#define Str_crestr                   __regina_Str_crestr
#define Str_crestr_TSD               __regina_Str_crestr_TSD
#define Str_dup                      __regina_Str_dup
#define Str_dup_TSD                  __regina_Str_dup_TSD
#define Str_dupstr                   __regina_Str_dupstr
#define Str_dupstr_TSD               __regina_Str_dupstr_TSD
#define Str_ncat                     __regina_Str_ncat
#define Str_ncat_TSD                 __regina_Str_ncat_TSD
#define Str_ncatstr                  __regina_Str_ncatstr
#define Str_ncatstr_TSD              __regina_Str_ncatstr_TSD
#define Str_ncmp                     __regina_Str_ncmp
#define Str_ncpy                     __regina_Str_ncpy
#define Str_ncpy_TSD                 __regina_Str_ncpy_TSD
#define Str_ncre                     __regina_Str_ncre
#define Str_ncre_TSD                 __regina_Str_ncre_TSD
#define Str_ndup                     __regina_Str_ndup
#define Str_ndup_TSD                 __regina_Str_ndup_TSD
#define Str_nocat                    __regina_Str_nocat
#define Str_nocat_TSD                __regina_Str_nocat_TSD
#define Str_nodup                    __regina_Str_nodup
#define Str_nodup_TSD                __regina_Str_nodup_TSD
#define Str_strp                     __regina_Str_strp
#define Str_upper                    __regina_Str_upper
#define SubCom                       __regina_SubCom
#define TinTree                      __regina_TinTree
#ifndef __GNUC__
# define __yy_memcpy                  __regina___yy_memcpy
#endif
#define add_envir                    __regina_add_envir
#define addfunc                      __regina_addfunc
#define atopos                       __regina_atopos
#define atoposorzero                 __regina_atoposorzero
#define atozpos                      __regina_atozpos
#define basedays                     __regina_basedays
#define bmstrstr                     __regina_bmstrstr
#define buildtinfunc                 __regina_buildtinfunc
#define calcul                       __regina_calcul
#define checkparam                   __regina_checkparam
#define clear_ignore_novalue         __regina_clear_ignore_novalue
#define cms_buftype                  __regina_cms_buftype
#define cms_desbuf                   __regina_cms_desbuf
#define cms_dropbuf                  __regina_cms_dropbuf
#define cms_find                     __regina_cms_find
#define cms_index                    __regina_cms_index
#define cms_justify                  __regina_cms_justify
#define cms_makebuf                  __regina_cms_makebuf
#define cms_sleep                    __regina_cms_sleep
#define cms_state                    __regina_cms_state
#define condition_hook               __regina_condition_hook
#define convert_date                 __regina_convert_date
#define convert_time                 __regina_convert_time
#define copy_stem                    __regina_copy_stem
#define count_params                 __regina_count_params
#define cpu_time                     __regina_cpu_time
#define creat_sysinfo                __regina_creat_sysinfo
#define create_new_varpool           __regina_create_new_varpool
#define create_tmpname               __regina_create_tmpname
#define dbg_allocated                __regina_dbg_allocated
#define dbg_dumpfiles                __regina_dbg_dumpfiles
#define dbg_dumptree                 __regina_dbg_dumptree
#define dbg_dumpvars                 __regina_dbg_dumpvars
#define dbg_listleaked               __regina_dbg_listleaked
#define dbg_memorystats              __regina_dbg_memorystats
#define dbg_traceback                __regina_dbg_traceback
#define deallocplink                 __regina_deallocplink
#define deinit_rexxsaa               __regina_deinit_rexxsaa
#define del_envir                    __regina_del_envir
#define delfunc                      __regina_delfunc
#define descr_copy                   __regina_descr_copy
#define descr_sign                   __regina_descr_sign
#define descr_to_int                 __regina_descr_to_int
#define destroytree                  __regina_destroytree
#define detach                       __regina_detach
#define do_an_external_dll           __regina_do_an_external_dll
#define do_an_external_exe           __regina_do_an_external_exe
#define do_instore                   __regina_do_instore
#define do_options                   __regina_do_options
#define dointerpret                  __regina_dointerpret
#define doparse                      __regina_doparse
#define dos_do_command               __regina_dos_do_command
#define drop_buffer                  __regina_drop_buffer
#define drop_dirvar                  __regina_drop_dirvar
#define drop_var                     __regina_drop_var
#define dumptree                     __regina_dumptree
#define dumpvars                     __regina_dumpvars
#define enter_macro                  __regina_enter_macro
#define errortext                    __regina_errortext
#define evaluate                     __regina_evaluate
#define execute_external             __regina_execute_external
#define exiterror                    __regina_exiterror
#define expand_to_str                __regina_expand_to_str
#define expose_var                   __regina_expose_var
#define external_func                __regina_external_func
#define fetch_file                   __regina_fetch_file
#define fetch_string                 __regina_fetch_string
#define find_shared_library          __regina_find_shared_library
#define find_stack_direction         __regina_find_stack_direction
#define firstmacro                   __regina_firstmacro
#define fix_compound                 __regina_fix_compound
#define fix_compoundnum              __regina_fix_compoundnum
#define fixup_file                   __regina_fixup_file
#define flush_stack                  __regina_flush_stack
#define flush_trace_chars            __regina_flush_trace_chars
#define free_a_descr                 __regina_free_a_descr
#define get_a_chunk                  __regina_get_a_chunk
#define get_a_chunkTSD               __regina_get_a_chunkTSD
#define get_a_descr                  __regina_get_a_descr
#define get_a_streng                 __regina_get_a_streng
#define get_a_strengTSD              __regina_get_a_strengTSD
#define get_external_routine         __regina_get_external_routine
#define get_it_anyway                __regina_get_it_anyway
#define get_next_variable            __regina_get_next_variable
#define get_options_flag             __regina_get_options_flag
#define get_parameter                __regina_get_parameter
#define get_sys_errlist              __regina_get_sys_errlist
#define getdescr                     __regina_getdescr
#define getdirvalue                  __regina_getdirvalue
#define getlabel                     __regina_getlabel
#define getonechar                   __regina_getonechar
#define getoptionchar                __regina_getoptionchar
#define getsecs                      __regina_getsecs
#define getsigs                      __regina_getsigs
#define getsourceline                __regina_getsourceline
#define getsym                       __regina_getsym
#define gettraps                     __regina_gettraps
#define getvalue                     __regina_getvalue
#define give_a_chunk                 __regina_give_a_chunk
#define give_a_chunkTSD              __regina_give_a_chunkTSD
#define give_a_streng                __regina_give_a_streng
#define give_a_strengTSD             __regina_give_a_strengTSD
#define hashvalue                    __regina_hashvalue
#define hashvalue_ic                 __regina_hashvalue_ic
#define have_allocated               __regina_have_allocated
#define hookup                       __regina_hookup
#define hookup_input                 __regina_hookup_input
#define hookup_output                __regina_hookup_output
#define identify_trap                __regina_identify_trap
#define init_builtin                 __regina_init_builtin
#define init_client                  __regina_init_client
#define init_envir                   __regina_init_envir
#define init_expr                    __regina_init_expr
#define init_filetable               __regina_init_filetable
#define init_library                 __regina_init_library
#define init_math                    __regina_init_math
#define init_memory                  __regina_init_memory
#define init_rexxsaa                 __regina_init_rexxsaa
#define init_shell                   __regina_init_shell
#define init_spec_vars               __regina_init_spec_vars
#define init_stacks                  __regina_init_stacks
#define init_tracing                 __regina_init_tracing
#define init_vars                    __regina_init_vars
#define init_vmf                     __regina_init_vmf
#define init_vms                     __regina_init_vms
#define initplist                    __regina_initplist
#define int_to_streng                __regina_int_to_streng
#define interpret                    __regina_interpret
#define intertrace                   __regina_intertrace
#define invo_strings                 __regina_invo_strings
#define is_a_descr                   __regina_is_a_descr
#define isboolean                    __regina_isboolean
#define isvariable                   __regina_isvariable
#define kill_lines                   __regina_kill_lines
#define kill_variables               __regina_kill_variables
#define killsystem                   __regina_killsystem
#define lineno_of                    __regina_lineno_of
#define lines_in_stack               __regina_lines_in_stack
#define listleaked                   __regina_listleaked
#define loaded_lib_func              __regina_loaded_lib_func
#define loadrxfunc                   __regina_loadrxfunc
#define make_buffer                  __regina_make_buffer
#define mark_descrs                  __regina_mark_descrs
#define mark_filetable               __regina_mark_filetable
#define mark_listleaked_params       __regina_mark_listleaked_params
#define mark_param_cache             __regina_mark_param_cache
#define mark_signals                 __regina_mark_signals
#define mark_stack                   __regina_mark_stack
#define mark_systeminfo              __regina_mark_systeminfo
#define markmemory                   __regina_markmemory
#define marksource                   __regina_marksource
#define marksubtree                  __regina_marksubtree
#define markvariables                __regina_markvariables
#define mem_cmpic                    __regina_mem_cmpic
#define memory_stats                 __regina_memory_stats
#define months                       __regina_months
#define my_fullpath                  __regina_my_fullpath
#define my_splitpath2                __regina_my_splitpath2
#define my_win32_setenv              __regina_my_win32_setenv
#define myatof                       __regina_myatof
#define myatol                       __regina_myatol
#define myfree                       __regina_myfree
#define myfreeTSD                    __regina_myfreeTSD
#define mygetenv                     __regina_mygetenv
#define myisinteger                  __regina_myisinteger
#define myisnumber                   __regina_myisnumber
#define myiswnumber                  __regina_myiswnumber
#define mymalloc                     __regina_mymalloc
#define mymallocTSD                  __regina_mymallocTSD
#define newlabel                     __regina_newlabel
#define newlevel                     __regina_newlevel
#define numeric_forms                __regina_numeric_forms
#define os2_beep                     __regina_os2_beep
#define os2_directory                __regina_os2_directory
#define os2_filespec                 __regina_os2_filespec
#define param                        __regina_param
#define parseargtree                 __regina_parseargtree
#define parser_data                  __regina_parser_data
#define perform                      __regina_perform
#define popcallstack                 __regina_popcallstack
#define popline                      __regina_popline
#define posix_do_command             __regina_posix_do_command
#define purge_filetable              __regina_purge_filetable
#define purge_library                __regina_purge_library
#define pushcallstack                __regina_pushcallstack
#define queue_trace_char             __regina_queue_trace_char
#define readkbdline                  __regina_readkbdline
#define regina_signal                __regina_regina_signal
#define regmarker                    __regina_regmarker
#define removelevel                  __regina_removelevel
#define retlength                    __regina_retlength
#define retvalue                     __regina_retvalue
#define rex_rxfuncadd                __regina_rex_rxfuncadd
#define rex_rxfuncdlldrop            __regina_rex_rxfuncdlldrop
#define rex_rxfuncdllquery           __regina_rex_rxfuncdllquery
#define rex_rxfuncdrop               __regina_rex_rxfuncdrop
#define rex_rxfuncerrmsg             __regina_rex_rxfuncerrmsg
#define rex_rxfuncquery              __regina_rex_rxfuncquery
#define rex_userid                   __regina_rex_userid
#define run_popen                    __regina_run_popen
#define set_err_message              __regina_set_err_message
#define set_ignore_novalue           __regina_set_ignore_novalue
#define set_options_flag             __regina_set_options_flag
#define set_rexx_halt                __regina_set_rexx_halt
#define set_sigl                     __regina_set_sigl
#define set_trace                    __regina_set_trace
#define set_trace_char               __regina_set_trace_char
#define setdirvalue                  __regina_setdirvalue
#define setshortcut                  __regina_setshortcut
#define setshortcutnum               __regina_setshortcutnum
#define setvalue                     __regina_setvalue
#define shortcut                     __regina_shortcut
#define shortcutnum                  __regina_shortcutnum
#define signal_setup                 __regina_signal_setup
#define signalnames                  __regina_signalnames
#define stack_empty                  __regina_stack_empty
#define stack_fifo                   __regina_stack_fifo
#define stack_lifo                   __regina_stack_lifo
#define starttrace                   __regina_starttrace
#define std_abbrev                   __regina_std_abbrev
#define std_abs                      __regina_std_abs
#define std_address                  __regina_std_address
#define std_arg                      __regina_std_arg
#define std_b2x                      __regina_std_b2x
#define std_bitand                   __regina_std_bitand
#define std_bitor                    __regina_std_bitor
#define std_bitxor                   __regina_std_bitxor
#define std_c2d                      __regina_std_c2d
#define std_c2x                      __regina_std_c2x
#define std_center                   __regina_std_center
#define std_changestr                __regina_std_changestr
#define std_charin                   __regina_std_charin
#define std_charout                  __regina_std_charout
#define std_chars                    __regina_std_chars
#define std_compare                  __regina_std_compare
#define std_condition                __regina_std_condition
#define std_copies                   __regina_std_copies
#define std_countstr                 __regina_std_countstr
#define std_d2c                      __regina_std_d2c
#define std_d2x                      __regina_std_d2x
#define std_datatype                 __regina_std_datatype
#define std_date                     __regina_std_date
#define std_delstr                   __regina_std_delstr
#define std_delword                  __regina_std_delword
#define std_digits                   __regina_std_digits
#define std_errortext                __regina_std_errortext
#define std_form                     __regina_std_form
#define std_format                   __regina_std_format
#define std_fuzz                     __regina_std_fuzz
#define std_insert                   __regina_std_insert
#define std_lastpos                  __regina_std_lastpos
#define std_left                     __regina_std_left
#define std_length                   __regina_std_length
#define std_linein                   __regina_std_linein
#define std_lineout                  __regina_std_lineout
#define std_lines                    __regina_std_lines
#define std_max                      __regina_std_max
#define std_min                      __regina_std_min
#define std_overlay                  __regina_std_overlay
#define std_pos                      __regina_std_pos
#define std_qualify                  __regina_std_qualify
#define std_queued                   __regina_std_queued
#define std_random                   __regina_std_random
#define std_reverse                  __regina_std_reverse
#define std_right                    __regina_std_right
#define std_sign                     __regina_std_sign
#define std_sourceline               __regina_std_sourceline
#define std_space                    __regina_std_space
#define std_stream                   __regina_std_stream
#define std_strip                    __regina_std_strip
#define std_substr                   __regina_std_substr
#define std_subword                  __regina_std_subword
#define std_symbol                   __regina_std_symbol
#define std_time                     __regina_std_time
#define std_trace                    __regina_std_trace
#define std_translate                __regina_std_translate
#define std_trunc                    __regina_std_trunc
#define std_value                    __regina_std_value
#define std_verify                   __regina_std_verify
#define std_word                     __regina_std_word
#define std_wordindex                __regina_std_wordindex
#define std_wordlength               __regina_std_wordlength
#define std_wordpos                  __regina_std_wordpos
#define std_words                    __regina_std_words
#define std_x2b                      __regina_std_x2b
#define std_x2c                      __regina_std_x2c
#define std_x2d                      __regina_std_x2d
#define std_xrange                   __regina_std_xrange
#define str_abs                      __regina_str_abs
#define str_add                      __regina_str_add
#define str_binerize                 __regina_str_binerize
#define str_digitize                 __regina_str_digitize
#define str_format                   __regina_str_format
#define str_format_orig              __regina_str_format_orig
#define str_norm                     __regina_str_norm
#define str_normalize                __regina_str_normalize
#define str_of                       __regina_str_of
#define str_round                    __regina_str_round
#define str_strip                    __regina_str_strip
#define str_trans                    __regina_str_trans
#define str_true                     __regina_str_true
#define str_trunc                    __regina_str_trunc
#define streng_to_int                __regina_streng_to_int
#define string_add                   __regina_string_add
#define string_div                   __regina_string_div
#define string_incr                  __regina_string_incr
#define string_mul                   __regina_string_mul
#define string_pow                   __regina_string_pow
#define string_test                  __regina_string_test
#define suberrortext                 __regina_suberrortext
#define system_type                  __regina_system_type
#define tmp_stack                    __regina_tmp_stack
#define tmpstr_of                    __regina_tmpstr_of
#define traceback                    __regina_traceback
#define tracebool                    __regina_tracebool
#define tracecompound                __regina_tracecompound
#define traceerror                   __regina_traceerror
#define traceline                    __regina_traceline
#define tracenumber                  __regina_tracenumber
#define tracevalue                   __regina_tracevalue
#define treadit                      __regina_treadit
#define type_buffer                  __regina_type_buffer
#define u_to_l                       __regina_u_to_l
#define unx_chdir                    __regina_unx_chdir
#define unx_close                    __regina_unx_close
#define unx_crypt                    __regina_unx_crypt
#define unx_eof                      __regina_unx_eof
#define unx_fork                     __regina_unx_fork
#define unx_getenv                   __regina_unx_getenv
#define unx_getpath                  __regina_unx_getpath
#define unx_getpid                   __regina_unx_getpid
#define unx_gettid                   __regina_unx_gettid
#define unx_open                     __regina_unx_open
#define unx_popen                    __regina_unx_popen
#define unx_uname                    __regina_unx_uname
#define unx_unixerror                __regina_unx_unixerror
#define upcase                       __regina_upcase
#define update_envirs                __regina_update_envirs
#define valid_var_symbol             __regina_valid_var_symbol
#define var_was_found                __regina_var_was_found
#define vms_do_command               __regina_vms_do_command
#define vms_f_cvsi                   __regina_vms_f_cvsi
#define vms_f_cvtime                 __regina_vms_f_cvtime
#define vms_f_cvui                   __regina_vms_f_cvui
#define vms_f_directory              __regina_vms_f_directory
#define vms_f_element                __regina_vms_f_element
#define vms_f_extract                __regina_vms_f_extract
#define vms_f_fao                    __regina_vms_f_fao
#define vms_f_file_attributes        __regina_vms_f_file_attributes
#define vms_f_getdvi                 __regina_vms_f_getdvi
#define vms_f_getjpi                 __regina_vms_f_getjpi
#define vms_f_getqui                 __regina_vms_f_getqui
#define vms_f_getsyi                 __regina_vms_f_getsyi
#define vms_f_identifier             __regina_vms_f_identifier
#define vms_f_integer                __regina_vms_f_integer
#define vms_f_length                 __regina_vms_f_length
#define vms_f_locate                 __regina_vms_f_locate
#define vms_f_logical                __regina_vms_f_logical
#define vms_f_message                __regina_vms_f_message
#define vms_f_mode                   __regina_vms_f_mode
#define vms_f_parse                  __regina_vms_f_parse
#define vms_f_pid                    __regina_vms_f_pid
#define vms_f_privilege              __regina_vms_f_privilege
#define vms_f_process                __regina_vms_f_process
#define vms_f_search                 __regina_vms_f_search
#define vms_f_setprv                 __regina_vms_f_setprv
#define vms_f_string                 __regina_vms_f_string
#define vms_f_time                   __regina_vms_f_time
#define vms_f_trnlnm                 __regina_vms_f_trnlnm
#define vms_f_type                   __regina_vms_f_type
#define vms_f_user                   __regina_vms_f_user
#define vms_killproc                 __regina_vms_killproc
#define vms_resolv_symbol            __regina_vms_resolv_symbol
#define wrapper_dummy_for_aix        __regina_wrapper_dummy_for_aix
#define wrapper_get_addr             __regina_wrapper_get_addr
#define wrapper_load                 __regina_wrapper_load

#endif /* REGINA_WRAPPERS_H_INCLUDED */
